Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/workspaces/getapi-v-1-workspaces

# Get list of workspaces

GET `https://{tenant}.atomicwork.com/api/v1/workspaces`

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Query Parameters

#### search\_key (query, string)

#### page (query, integer, required)

#### per\_page (query, integer)

#### is\_member\_of (query, boolean)

#### include\_static (query, boolean)

#### supported\_objects (query, array of enum (string))

Filter workspaces by supported object types. Returns workspaces that support ANY of the specified types.

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X GET 'https://{tenant}.atomicwork.com/api/v1/workspaces' \
  -H 'X-Api-Key: <api-key>'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/workspaces', {
  method: 'GET',
  headers: {
    'X-Api-Key': '<api-key>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://{tenant}.atomicwork.com/api/v1/workspaces',
    headers={'X-Api-Key': '<api-key>'}
)
data = res.json()
```
